SHELL:=/bin/bash
.DEFAULT_GOAL := build

#######
# hard to remember golang vendoring commands
#######
.PHONY: dependencies
dependencies:
	# Update all direct and indirect dependencies to latest minor or patch upgrades
	go get -u ./...
	# Prune any no-longer-needed dependencies from go.mod and add any dependencies needed for other combinations of OS, architecture, and build tags
	go mod tidy

.PHONY: test
test:
	go test -v -covermode=count -coverprofile cover.out ./...
	go tool cover -html=cover.out -o cover.html

.PHONY: build
build: bin/rendertemplate
bin/rendertemplate: test
	mkdir -p bin
	go build -o bin/rendertemplate ./cmd/rendertemplate.go